Subject: bug#22384: Requirements for an ARM port?

From: Mathieu Lirzin <[email-masked]>
Date: Mon, 15 Jan 2018 17:58:10 +0100

Hello,

Jookia <[email-masked]> writes:

> I'm considering seeing if I can get GuixSD to work on an ARM board of mine. I'd
> like to know what the main blockers are that I'll need to pass. From what I've
> read and understood, the reason there's no ARM port now is lack of work and
> reliance on GRUB. Assuming I bootstrap and set up a u-boot package for my
> specific board, what else would I need to do?

According to [1] Guix 0.14 provides support for ARMv7.  So I would
consider this bug fixed.

[1] https://www.gnu.org/software/guix/blog/2017/porting-guixsd-to-armv7/

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37